Name:           libell
Version:        0.56
Release:        1
Summary:        Embedded Linux library
License:        LGPLv2+
URL:            https://01.org/ell
Source0:        https://www.kernel.org/pub/linux/libs/ell/ell-%{version}.tar.xz
BuildRequires:  gcc make

%description
The Embedded Linux* Library (ELL) provides core, low-level functionality forsystem daemons. It typically
has no dependencies other than the Linux kernel, C standard library, and libdl (for dynamic linking).
While ELL is designed to be efficient and compact enough for use on embedded Linux platforms, it is not
limited to resource-constrained systems.

%package devel
Summary:        Embedded Linux library development files
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for developing %{name}.

%prep
%autosetup -n ell-%{version} -p1

%build
%configure
%make_build V=1

%install
%make_install

%ldconfig_scriptlets

%files
%doc AUTHORS COPYING ChangeLog
%{_libdir}/libell.so.*
%exclude %{_libdir}/libell.la

%files devel
%{_includedir}/ell
%{_libdir}/libell.so
%{_libdir}/pkgconfig/ell.pc

%changelog
* Thu May 18 2023 liyanan <thistleslyn@163.com> - 0.56-1
- update to 0.56

* Wed Jul 22 2020 songnannan <songnannan2@huawei.com> - 0.32-1
- update to 0.32

* Tue Nov 19 2019 lingsheng <lingsheng@huawei.com> - 0.9-2
- Package init
